NAUTY-VCOLG(1)

NAME
nauty-vcolg - colour the vertices of graphs in all distinct ways

SYNOPSIS
vcolg [-q] [-u|-T|-o|-O] [-e#|-e#:#] [-m#] [-c#,..,#] [-f#] [infile [outfile]]

DESCRIPTION

    Read graphs or digraphs and colour their vertices in all possible ways with colours 0,1,2,... . Isomorphic graphs derived from the same input are suppressed. If the input graphs are non-isomorphic then the output graphs are also.

-e# | -e#:#
    specify a value or range of the total value of the colours

-m# number of available colours (default 2 if -c not given)

-c#,..,#
    specify the maximum number of vertices of each colour

    The total must at least equal the number of vertices in the input.

-d#,..,#
    minimum vertex degree for each colour (out-degree for digraphs)

-D#,..,#
    maximum vertex degree for each colour (out-degree for digraphs)

-d and -D can have fewer colours than -m/-c but not more

-f# Use the group that fixes the first # vertices setwise

-T  Use a simple text output format (nv ne {col} {v1 v2})

-o  Use sparse6 (undirected) or digraph6 (directed) for output,

    provided m=2 and the inputs have no loops.

-O  Same as -o but use loops for weight 0, not weight 1

-u  no output, just count them

-q  suppress auxiliary information